function [X,Y,outimg] = plotsurfacerbf(xrange, yrange, nbin, model);
% construct grid
outimg = zeros(nbin,nbin);
X=xrange(1):abs(xrange(1)-xrange(2))/nbin:xrange(2);
Y=yrange(1):abs(yrange(1)-yrange(2))/nbin:yrange(2);

for i = 1:max(size(X))
    for j=1:max(size(Y))
        xx=[X(i),Y(j)];
        outimg(i,j) = (model.sv_coef)'*tanhsvm(model.SVs,model.Parameters(4),model.Parameters(5),xx)-model.rho;
    end;
end;
figure;imagesc(outimg);colorbar;
title([num2str(model.Parameters(:)')]);

function [out] = rbfsvm(SVs,totalSV,gamma,xx);
% calculates the output of the RBF
diff = SVs - ones(totalSV,1)*xx;
out = exp(-gamma*diag(diff*diff'));

function [out] = polysvm(SVs,gamma,degree,coef0,xx);
% calculates the output of the polynomial
u_v = gamma*SVs* xx';
out = (u_v+coef0).^degree;

function [out] = tanhsvm(SVs,gamma,coef0,xx);
% calculates the output of the tanh
u_v = gamma*SVs* xx';
out = tanh(u_v+coef0);